Bug 100556 - RFE: Fix NFS root
Summary: RFE: Fix NFS root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: beta1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-07-23 12:29 UTC by Alan Cox
Modified: 2014-03-17 02:37 UTC (History)
3 users (show)

Fixed In Version: 7.31-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 23:49:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to halt and killall init scripts for clean shutdown of netbooted Linux (2.12 KB, patch)
2003-08-06 15:03 UTC, Julian Blake
no flags Details | Diff

Description Alan Cox 2003-07-23 12:29:39 UTC
Description of problem:

On an NFS root system you need to keep the root ethernet interface up always.
On my test box I added the following simple extra to 
/etc/sysconfig/network-scripts/ifdown

    fi
fi
 
+if [ "${ROOTNFS}" = "yes" ]; then
+      exit 0
+fi
+
 
if [ "${NETWORKING_IPV6}" = "yes" ]; then
    /etc/sysconfig/network-scripts/ifdown-ipv6 ${CONFIG}
fi

and set ROOT_NFS in the config for the interface. I guess grep could automate
that bit too elsewhere but that is another issue

Comment 1 Julian Blake 2003-08-06 15:03:49 UTC
Created attachment 93439 [details]
Patch to halt and killall init scripts for clean shutdown of netbooted Linux

Modifies halt and killall init scripts to allow a clean shutdown of netbooted
Linux.	Patch for CERN Linux 7.3.2 (Red Hat Linux 7.3 plus updates).

In halt: Do not dismount RAM disks

In killall: Do not shutdown network subsystem.

Comment 2 Julian Blake 2003-08-06 15:13:15 UTC
When I set up netbooted CERN Linux 7.3.2 (Red Hat Linux 7.3 plus updates plus
OpenAFS plus CERN-specific bug fixes), I modified the halt and killall init
scripts to get netbooted Linux to shut down cleanly:

/etc/rc.d/init.d/halt: Do not dismount RAM disks.

/etc/rc.d/init.d/killall: Do not shut down network subsystem.

I have attached a patch to halt and killall to this Bugzilla report.  The full
halt and killall files can be seen in

http://cern.ch/linux/redhat73/documentation/netboot/root/etc/rc.d/init.d/

Julian Blake.

Comment 3 Bill Nottingham 2003-09-03 23:49:42 UTC
Patches to halt/killall will be in 7.31-1 and later.


Note You need to log in before you can comment on or make changes to this bug.